#include <bits/stdc++.h>

using namespace std;

void resi(int a[], int n, int k){
    int najm = *min_element(a, a + n), najv = *max_element(a, a + n);
    int p = najv - najm + 1;
    int pom[p] = {0}, t = 0, resenje[n];
    for(int i = 0;i < n;i++)
        pom[a[i] - najm]++;
    for(int i = 0;i < p;i++)
        if(pom[i] >= k){
            resenje[t] = i + najm;
            t++;
        }
    cout << t << '\n';
    for(int i = 0;i < t;i++)
        cout << resenje[i] << " ";
}

int main(){
    ios::sync_with_stdio(false);
    int n, k;
    cin >> n >> k;
    int a[n];
    for(int i = 0;i < n;i++) cin >> a[i];
    resi(a, n, k);
    return 0;
}